#
# spec file for package python-keyring (Version 0.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname keyring

Name:           python-%{modname}
Version:        0.2
Release:        0.1.1
Summary:        Python Library That Provides Access to KDE/Gnome/MacOS/Windows keyrings
Url:            http://pypi.python.org/pypi/keyring
License:        LGPL v2 or later
Group:          Development/Libraries/Python
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}
BuildRequires:  gnome-keyring-devel libkde4-devel python-devel
Supplements:    python-keyring-kde
Supplements:    python-keyring-gnome

%description
Generic keyring library for python applications. It can be used standalone or with
wrapper plugins for KDE or Gnome.

%package kde
License:        LGPL v2 or later
Summary:        KDE KWallet support for python keyring
Group:          Development/Libraries/Python
Requires:       python-keyring

%description kde
This plugin enhances python keyring applications to use the KDE 4 Wallet system to
store passwords.

%package gnome
License:        LGPL v2 or later
Summary:        Gnome keyring support for python keyring
Group:          Development/Libraries/Python
Requires:       python-keyring

%description gnome
This plugin enhances python keyring applications to use the Gnome keyring system to
store passwords.


%prep
%setup -q -n %{modname}-%{version}

%build
CFLAGS="%{optflags}" \
%__python ./setup.py build

%install
%__python ./setup.py install \
    --prefix="%{_prefix}" \
    --root="%{buildroot}"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt
%py_libdir/site-packages/keyring*

%files kde
%defattr(-,root,root)
%py_libdir/site-packages/kde_kwallet.so                                                                                             

%files gnome
%defattr(-,root,root)
%py_libdir/site-packages/gnome_keyring.so                                                                                             
%changelog
* Fri Nov 13 2009 adrian@suse.de
- update to version 0.2
* Fri Sep  4 2009 adrian@suse.de
- package initial version 0.1
